Subject: bug#48793: closed (Re: bug#48793: Make guix room available over matrix)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 07 Jun 2021 22:36:03 +0000

Your bug report

#48793: Make guix room available over matrix

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
48793: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=48793
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#48793: Make guix room available over matrix
From: bo0od <[email-masked]>
To: Julien Lepiller <[email-masked]>, [email-masked], Tobias Geerinckx-Rice <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Mon, 7 Jun 2021 22:35:18 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

 > Again, I don't understand why #guix:libera.chat is bad. I joined it 
with my matrix account from a different home server. Why can't you?

There was a bug within matrix bridge to libera.chat (you can check guix 
channel logs when it got fixed)

Now this issue is resolved :)

Julien Lepiller:
> 
> 
> Le 3 juin 2021 15:39:34 GMT-04:00, bo0od <[email-masked]> a écrit :
>> It does support Tor but currently matrix not yet fully support libera.
>>
>>> There's *also* #guix:matrix.org.  It is a ‘real’ Matrix channel/room,
>>> but it is not managed by the project and fewer core contributors lurk
>>> there.
>>
>> Yeah thats the bad part of it which need to get bridged to the official
>>
>> room in libera.
> 
> Again, I don't understand why #guix:libera.chat is bad. I joined it with my matrix account from a different home server. Why can't you?
> 
>>
>>> It's not really a bug, though, is it?  There's no official Guix
>> Mastodon
>>> either.
>>
>> Bug in a way that guix doesnt provide or support privacy entrance to
>> their chat, Guix lack it due to their choice of libera IRC server.
>> Thats
>> why i opened this ticket in the hope to have better future for direct
>> chatting and try to see how we can fix this situation.
>>
>> Tobias Geerinckx-Rice:
>>> bo0od 写道：
>>>> Im not sure im following, Does guix has its own room over matrix or
>>>> not? if yes what is it
>>>
>>> There's #guix:libera.chat that Julien already pointed out.  It's a
>>> bridge to the official #guix channel at Libera.  Messages are sent
>> back
>>> & forth between Libera and matrix.org.  I don't know if matrix.org
>>> supports Tor.
>>>
>>> There's *also* #guix:matrix.org.  It is a ‘real’ Matrix channel/room,
>>
>>> but it is not managed by the project and fewer core contributors lurk
>>
>>> there.
>>>
>>>> if not thats why i opened this ticket.
>>>
>>> It's not really a bug, though, is it?  There's no official Guix
>> Mastodon
>>> either.
>>>
>>> Kind regards,
>>>
>>> T G-R

Subject: Make guix room available over matrix
From: bo0od <[email-masked]>
To: [email-masked]
Date: Wed, 2 Jun 2021 18:42:47 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi There,

I saw that guix shifted from freenode to libera (due to freenode 
incident), Well it turns that libera just another freenode when it comes 
to Anti-Tor/Anti-Privacy:

https://github.com/Libera-Chat/libera-chat.github.io/issues/63

Since Guix as well jumped under libera umbrella it has the same issue 
which no one can talk to guix irc room unless hes using clearnet IP or 
VPN ip then shift to Tor (long run to just talk about couple of issues 
with good privacy)

As better alternative to whole IRC thing is to use Matrix and you can 
bridge the two rooms (matrix <-> IRC) with that no headache of 
registration and blocked connections...etc

ThX!